## GwySelectionGraph1DArea GwySelectionGraph1DArea — Graph region selection |

## Functions

GwySelection * | gwy_selection_graph_1darea_new ()

## Properties

GwyOrientation | orientation | Read / Write

## Types and Values

struct | GwySelectionGraph1DArea
struct | GwySelectionGraph1DAreaClass

## Object Hierarchy

        GObject
        ╰── GwySelection
            ╰── GwySelectionGraph1DArea

## Implemented Interfaces

GwySelectionGraph1DArea implements GwySerializable.

## Includes

    #include <libgwydgets/gwydgets.h>

## Description

GwySelectionGraph1DArea is used to represent horizontal or vertical graph region selections in graphs. Selection data consists of coordinate pairs (from, to).

If you obtain the selection from a graph widget it has the "orientation" property set for information. The orientation should be kept intact in this case as changing it is not meaningful. The graph keeps two distinct horizontal and vertical selection objects.

## Functions

### gwy_selection_graph_1darea_new ()

    GwySelection *
    gwy_selection_graph_1darea_new (void);

Creates a new 1darea-wise graph selection.

#### Returns

A new selection object.

Since: 2.1

## Types and Values

### struct GwySelectionGraph1DArea

    struct GwySelectionGraph1DArea;

### struct GwySelectionGraph1DAreaClass

    struct GwySelectionGraph1DAreaClass {
        GwySelectionClass parent_class;
    };

## Property Details

### The `“orientation”` property

      “orientation”              GwyOrientation

The :orientation property represents the orientation of the selected area.

The orientation is `GWY_ORIENTATION_HORIZONTAL` for selections along the `x` -axis, and `GWY_ORIENTATION_VERTICAL` for selections along the `y` -axis.

Owner: GwySelectionGraph1DArea

Flags: Read / Write

Default value: GWY_ORIENTATION_HORIZONTAL

Since: 2.43